<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

//now we use real spectra. wine glass ...
//(using functional style)


instr WineGlass

 iBasePitch = p4 ;midi note number
 iVolumeDb = p5 ;db
 
 iFreqProps[] fillarray 1, 2.32, 4.25, 6.63, 9.38
 iAmps[] fillarray 1/2, 1/5, 1/9, 1/12, 1/19
 
 iDurVar = 0.5
 iDurDiffStep = (1-iDurVar)*p3 / (lenarray(iFreqProps)-1)
 
 index = 0
 while (index < lenarray(iFreqProps)) do
 
  iFreq = mtof:i(iBasePitch)*iFreqProps[index]
  iAmp = ampdb(iVolumeDb)*iAmps[index]
  iDurDiff = iDurDiffStep*index
  
  schedule("ReceivePartials", 0, p3-iDurDiff, iAmp, iFreq)
  
  index += 1
  
 od

endin

instr ReceivePartials

 iAmp = p4
 iFreq = p5
 iAttackTime = random:i(1/1000, 3/1000)
 aEnv = transeg:a(0, iAttackTime, 4, iAmp, p3-iAttackTime, -4, 0)
 aEnvRndDb = randi:a(1, 6, 2)
 kPchRnd = randi:k(1/12, 3, 2)
 aSine = poscil:a(aEnv*ampdb(aEnvRndDb), mtof(kPchRnd+ftom(iFreq)))
 out(aSine, aSine)
 
endin


</CsInstruments>
<CsScore>
i "WineGlass" 0 5 72 -6
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
